> ## Documentation Index
> Fetch the complete documentation index at: https://docs.promptlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation

This endpoint allows you to retrieve the info about a report.

Please note that if you want to get the score of a report, you should use the `GET /reports/{report_id}/score` endpoint instead ([link](/reference/get-report-score)).


## OpenAPI

````yaml GET /reports/{report_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /reports/{report_id}:
    get:
      tags:
        - reports
      summary: Get Evaluation
      operationId: getReport
      parameters:
        - name: report_id
          in: path
          required: true
          schema:
            type: integer
          description: ID of the report to retrieve.
      responses:
        '200':
          description: Report retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  report:
                    type: object
                    description: The report data with all fields
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                      comment:
                        type:
                          - string
                          - 'null'
                      is_blueprint:
                        type:
                          - boolean
                          - 'null'
                      deleted:
                        type: boolean
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      score:
                        type:
                          - object
                          - 'null'
                        description: Report score data
                      score_configuration:
                        type:
                          - object
                          - 'null'
                        description: Score configuration settings
                      score_matrix:
                        type:
                          - array
                          - 'null'
                        description: Score matrix for custom scoring
                      score_calculation_error:
                        type:
                          - string
                          - 'null'
                        description: Error message if score calculation failed
                      parent_report_id:
                        type:
                          - integer
                          - 'null'
                      dataset_id:
                        type:
                          - integer
                          - 'null'
                      user_id:
                        type:
                          - integer
                          - 'null'
                      workspace_id:
                        type: integer
                      prompt_registry_id:
                        type:
                          - integer
                          - 'null'
                        description: ID of associated prompt registry
                      prompt_version_number:
                        type:
                          - integer
                          - 'null'
                        description: Version number of associated prompt
                    required:
                      - id
                      - name
                      - deleted
                      - created_at
                      - updated_at
                      - workspace_id
                  status:
                    type: string
                    enum:
                      - RUNNING
                      - COMPLETED
                    description: Overall status of the report execution
                  stats:
                    type: object
                    properties:
                      status_counts:
                        type: object
                        description: Count of cells in each status
                        properties:
                          COMPLETED:
                            type: integer
                            description: Number of completed cells
                          FAILED:
                            type: integer
                            description: Number of failed cells
                          QUEUED:
                            type: integer
                            description: Number of queued cells
                          RUNNING:
                            type: integer
                            description: Number of running cells
                        required:
                          - COMPLETED
                          - FAILED
                          - QUEUED
                          - RUNNING
                    required:
                      - status_counts
                required:
                  - success
                  - message
                  - report
                  - status
                  - stats
        '401':
          description: Unauthorized - Invalid or missing authentication
        '404':
          description: Report not found or not accessible
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  responses:
    ValidationError:
      description: Validation error - request parameters or body are invalid.
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/HTTPValidationError'
              - $ref: '#/components/schemas/ErrorResponse'
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
          description: Indicates that the request failed.
        message:
          type: string
          description: Human-readable error message.
        error:
          type: string
          description: Machine-readable or fallback error message.
      additionalProperties: true
      description: >-
        Standard error response. Some legacy endpoints may return either message
        or error.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````